=== modified file 'olive/bookmark.py'
--- olive/bookmark.py	2008-07-10 12:22:16 +0000
+++ olive/bookmark.py	2008-07-20 22:36:42 +0000
@@ -22,7 +22,7 @@
 
 import gtk
 
-from olive import Preferences
+from bzrlib.plugins.gtk.olive import Preferences
 from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import error_dialog
 

=== modified file 'olive/menu.py'
--- olive/menu.py	2008-07-18 10:40:23 +0000
+++ olive/menu.py	2008-07-20 22:36:42 +0000
@@ -261,13 +261,16 @@
             # TODO: how to enter a directory?
             return
         else:
-            fullpath = self.path + os.sep + filename
+            fullpath = os.path.join(self.path, filename)
             if os.path.isdir(fullpath):
                 # selected item is an existant directory
                 # TODO: how to enter a directory?
-                return
+                # Jasper, 21-7-08: Let's just open the folder in a file browser
+                # instead of ignoring the explicit open (when double
+                # clicking suffices for browsing)
+                launch.launch(fullpath)
             else:
-                launch(fullpath) 
+                launch.launch(fullpath) 
 
     def revert(self, action):
         """ Right context menu -> Revert """
@@ -357,7 +360,7 @@
         path = self.selected
 
         if path != None:
-            launch(path)
+            launch.launch(path)
     
     def diff_selected(self, action):
         """ Diff toolbutton -> Selected... """

